Rates
/rates/{id}
Rates List
Authorization
apiKey X-API-Key<token>
API key provided in dashboard
In: header
Path Parameters
id*string
Request Body
application/json
name?string
description?string|null
countryCode?string|null
currency?string|null
basisPoints?integer
Basis points between '0' and '100 000' ('100 000' => 100%, '1000' => 1%, '10' => 0.01%, '1' => 0.001%)
Range
-9007199254740991 <= value <= 9007199254740991type?string|null
uniqueRef?string|null
status?string|null
behavior?string|null
accountId?string|null
debitAccountId?string|null
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://api.vrplatform.app/rates/string" \ -H "Content-Type: application/json" \ -d '{}'{
"name": "string",
"description": "string",
"countryCode": "string",
"currency": "string",
"basisPoints": 100000,
"type": "markup",
"uniqueRef": "string",
"status": "active",
"behavior": "excluded",
"accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9",
"debitAccountId": "63516cec-5ec6-4d1c-b109-cb4154a96507",
"id": "string"
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}